Overview | Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## estraier.pure
Class NodeResult

    java.lang.Object
      estraier.pure.NodeResult

public class NodeResult
extends java.lang.Object

Abstraction of result set from node.

Method Summary
`int` | `doc_num()` Get the number of documents.
`ResultDocument` | `get_doc(int index)` Get a result document object
`java.lang.String` | `hint(java.lang.String key)` Get the value of hint information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### doc_num

    public int doc_num()

  Get the number of documents.

  Returns:
    the number of documents.

### get_doc

    public ResultDocument get_doc(int index)

  Get a result document object

  Parameters:
    `index` - the index of a document.
  Returns:
    a result document object or `null' if the index is out of bounds.

### hint

    public java.lang.String hint(java.lang.String key)

  Get the value of hint information.

  Parameters:
    `key` - the key of a hint. "VERSION", "NODE", "HIT", "HINT#n", "DOCNUM", "WORDNUM", "TIME", "TIME#n", "LINK#n", and "VIEW" are provided for keys.
  Returns:
    the value of the hint or `null' if the key does not exist.

Overview | Package | Class | Tree | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD